Package com.google.protobuf.compiler

# Interface PluginProtos.CodeGeneratorResponseOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `PluginProtos.CodeGeneratorResponse`, `PluginProtos.CodeGeneratorResponse.Builder`

Enclosing class:
  PluginProtos

public static interface PluginProtos.CodeGeneratorResponseOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getError()`
`optional string error = 1 [json_name = "error"];`
`ByteString`
`getErrorBytes()`
`optional string error = 1 [json_name = "error"];`
`PluginProtos.CodeGeneratorResponse.File`
`getFile(int index)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`int`
`getFileCount()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`List<PluginProtos.CodeGeneratorResponse.File>`
`getFileList()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.FileOrBuilder`
`getFileOrBuilder(int index)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`List<? extends PluginProtos.CodeGeneratorResponse.FileOrBuilder>`
`getFileOrBuilderList()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`long`
`getSupportedFeatures()`
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`
`boolean`
`hasError()`
`optional string error = 1 [json_name = "error"];`
`boolean`
`hasSupportedFeatures()`
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasError

boolean hasError()
`optional string error = 1 [json_name = "error"];`

Returns:
  Whether the error field is set.

### getError

String getError()
`optional string error = 1 [json_name = "error"];`

Returns:
  The error.

### getErrorBytes

ByteString getErrorBytes()
`optional string error = 1 [json_name = "error"];`

Returns:
  The bytes for error.

### hasSupportedFeatures

boolean hasSupportedFeatures()
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`

Returns:
  Whether the supportedFeatures field is set.

### getSupportedFeatures

long getSupportedFeatures()
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`

Returns:
  The supportedFeatures.

### getFileList

List<PluginProtos.CodeGeneratorResponse.File> getFileList()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### getFile

PluginProtos.CodeGeneratorResponse.File getFile(int index)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### getFileCount

int getFileCount()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### getFileOrBuilderList

List<? extends PluginProtos.CodeGeneratorResponse.FileOrBuilder> getFileOrBuilderList()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### getFileOrBuilder

PluginProtos.CodeGeneratorResponse.FileOrBuilder getFileOrBuilder(int index)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`